XMLStringBuffer (Xerces2 Implementation)
Date: 2018-10-17

org.apache.xerces.util

## Class XMLStringBuffer

- java.lang.Object
- - org.apache.xerces.xni.XMLString
  - - org.apache.xerces.util.XMLStringBuffer

-     public class XMLStringBuffer
      extends org.apache.xerces.xni.XMLString

  XMLString is a structure used to pass character arrays. However, XMLStringBuffer is a buffer in which characters can be appended and extends XMLString so that it can be passed to methods expecting an XMLString object. This is a safe operation because it is assumed that any callee will not modify the contents of the XMLString structure.

  The contents of the string are managed by the string buffer. As characters are appended, the string buffer will grow as needed.

  Note: Never set the `ch`, `offset`, and `length` fields directly. These fields are managed by the string buffer. In order to reset the buffer, call `clear()`.

  Version:
    $Id: XMLStringBuffer.java 447241 2006-09-18 05:12:57Z mrglavas $
  Author:
    Andy Clark, IBM, Eric Ye, IBM

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_SIZE` Default buffer size (32).

    - ### Fields inherited from class org.apache.xerces.xni.XMLString

      `ch, length, offset`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLStringBuffer()`
    `XMLStringBuffer(char c)` Constructs a string buffer from a char.
    `XMLStringBuffer(char[] ch, int offset, int length)` Constructs a string buffer from the specified character array.
    `XMLStringBuffer(int size)`
    `XMLStringBuffer(java.lang.String s)` Constructs a string buffer from a String.
    `XMLStringBuffer(org.apache.xerces.xni.XMLString s)` Constructs a string buffer from the specified XMLString.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(char c)` append
    `void` | `append(char[] ch, int offset, int length)` append
    `void` | `append(java.lang.String s)` append
    `void` | `append(org.apache.xerces.xni.XMLString s)` append
    `void` | `clear()` Clears the string buffer.

    - ### Methods inherited from class org.apache.xerces.xni.XMLString

      `equals, equals, setValues, setValues, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SIZE

          public static final int DEFAULT_SIZE

      Default buffer size (32).
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XMLStringBuffer

          public XMLStringBuffer()

    - #### XMLStringBuffer

          public XMLStringBuffer(int size)

      Parameters:
        `size` -

    - #### XMLStringBuffer

          public XMLStringBuffer(char c)

      Constructs a string buffer from a char.

    - #### XMLStringBuffer

          public XMLStringBuffer(java.lang.String s)

      Constructs a string buffer from a String.

    - #### XMLStringBuffer

          public XMLStringBuffer(char[] ch,
                                 int offset,
                                 int length)

      Constructs a string buffer from the specified character array.

    - #### XMLStringBuffer

          public XMLStringBuffer(org.apache.xerces.xni.XMLString s)

      Constructs a string buffer from the specified XMLString.

  - ### Method Detail

    - #### clear

          public void clear()

      Clears the string buffer.
      Overrides:
        `clear` in class `org.apache.xerces.xni.XMLString`

    - #### append

          public void append(char c)

      append
      Parameters:
        `c` -

    - #### append

          public void append(java.lang.String s)

      append
      Parameters:
        `s` -

    - #### append

          public void append(char[] ch,
                             int offset,
                             int length)

      append
      Parameters:
        `ch` -
        `offset` -
        `length` -

    - #### append

          public void append(org.apache.xerces.xni.XMLString s)

      append
      Parameters:
        `s` -

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.